org.keycloak.federation.ldap.mappers.membership.role

## Class RoleLDAPFederationMapper.LDAPRoleMappingsUserDelegate

- java.lang.Object
- - org.keycloak.models.utils.UserModelDelegate
  - - org.keycloak.federation.ldap.mappers.membership.role.RoleLDAPFederationMapper.LDAPRoleMappingsUserDelegate

- All Implemented Interfaces:
    RoleMapperModel, UserModel
  Enclosing class:
    RoleLDAPFederationMapper

      public class RoleLDAPFederationMapper.LDAPRoleMappingsUserDelegate
      extends UserModelDelegate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.UserModel

      `UserModel.RequiredAction, UserModel.UserRemovedEvent`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.utils.UserModelDelegate

      `delegate`

    - ### Fields inherited from interface org.keycloak.models.UserModel

      `EMAIL, FIRST_NAME, LAST_NAME, LOCALE, USERNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPRoleMappingsUserDelegate(UserModel user, LDAPObject ldapUser)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteRoleMapping(RoleModel role)`
    `Set<RoleModel>` | `getClientRoleMappings(ClientModel client)`
    `protected Set<RoleModel>` | `getLDAPRoleMappingsConverted()`
    `Set<RoleModel>` | `getRealmRoleMappings()`
    `Set<RoleModel>` | `getRoleMappings()`
    `void` | `grantRole(RoleModel role)`
    `boolean` | `hasRole(RoleModel role)`

    - ### Methods inherited from class org.keycloak.models.utils.UserModelDelegate

      `addRequiredAction, addRequiredAction, getAttribute, getAttributes, getCreatedTimestamp, getCredentialsDirectly, getDelegate, getEmail, getFederationLink, getFirstAttribute, getFirstName, getGroups, getId, getLastName, getRequiredActions, getServiceAccountClientLink, getUsername, isEmailVerified, isEnabled, isMemberOf, isOtpEnabled, joinGroup, leaveGroup, removeAttribute, removeRequiredAction, removeRequiredAction, setAttribute, setCreatedTimestamp, setEmail, setEmailVerified, setEnabled, setFederationLink, setFirstName, setLastName, setOtpEnabled, setServiceAccountClientLink, setSingleAttribute, setUsername, updateCredential, updateCredentialDirectly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LDAPRoleMappingsUserDelegate

          public LDAPRoleMappingsUserDelegate(UserModel user,
                                              LDAPObject ldapUser)

  - ### Method Detail

    - #### getRealmRoleMappings

          public Set<RoleModel> getRealmRoleMappings()

      Specified by:
        `getRealmRoleMappings` in interface `RoleMapperModel`
      Overrides:
        `getRealmRoleMappings` in class `UserModelDelegate`

    - #### getClientRoleMappings

          public Set<RoleModel> getClientRoleMappings(ClientModel client)

      Specified by:
        `getClientRoleMappings` in interface `RoleMapperModel`
      Overrides:
        `getClientRoleMappings` in class `UserModelDelegate`

    - #### hasRole

          public boolean hasRole(RoleModel role)

      Specified by:
        `hasRole` in interface `RoleMapperModel`
      Overrides:
        `hasRole` in class `UserModelDelegate`

    - #### grantRole

          public void grantRole(RoleModel role)

      Specified by:
        `grantRole` in interface `RoleMapperModel`
      Overrides:
        `grantRole` in class `UserModelDelegate`

    - #### getRoleMappings

          public Set<RoleModel> getRoleMappings()

      Specified by:
        `getRoleMappings` in interface `RoleMapperModel`
      Overrides:
        `getRoleMappings` in class `UserModelDelegate`

    - #### getLDAPRoleMappingsConverted

          protected Set<RoleModel> getLDAPRoleMappingsConverted()

    - #### deleteRoleMapping

          public void deleteRoleMapping(RoleModel role)

      Specified by:
        `deleteRoleMapping` in interface `RoleMapperModel`
      Overrides:
        `deleteRoleMapping` in class `UserModelDelegate`

Copyright © 2016 JBoss by Red Hat. All rights reserved.